version: '3.8'

services:
  backend:
    build:
      context: .
      dockerfile: ./Dockerfile
    command: python manage.py runserver 0.0.0.0:4594
    volumes:
      - media_volume:/code/media/
      - static_volume:/code/staticfiles/
    ports:
      - "4594:4594"
    env_file:
      - .env.local
    depends_on:
      - db
  db:
    image: postgres:12.0-alpine
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    environment:
      - POSTGRES_USER=asd_user
      - POSTGRES_PASSWORD=pa$$_asd
      - POSTGRES_DB=asd_db
    ports:
      - "4593:4593"

volumes:
  postgres_data:
